# named network 'entertainment' is marked as "external" (used by service 'authelia'), so either remove "external" from network definition or it needs to be created using: docker network create -d bridge entertainment
name: <your project name>
services:
    authelia:
        container_name: authelia
        hostname: authelia
        networks:
            - entertainment
        volumes:
            - /mnt/docker/data/authelia:/config
        labels:
            - traefik.enable=true
            - traefik.docker.network=entertainment
            - traefik.http.routers.authelia.rule="Host(`AUTH_DUCKDNS_DOMAIN`)"
            - traefik.http.routers.authelia.entryPoints='https'
            - traefik.http.routers.authelia.tls=true
            - traefik.http.middlewares.authelia.forwardAuth.address="http://authelia:9091/api/authz/forward-auth?rd=https://AUTH_DUCKDNS_DOMAIN/"
            - traefik.http.middlewares.authelia.forwardAuth.trustForwardHeader=true
            - traefik.http.middlewares.authelia.forwardAuth.authResponseHeaders='Remote-User,Remote-Groups,Remote-Email,Remote-Name'
        image: authelia/authelia:latest
    
networks:
    entertainment:
        external: true
        name: entertainment
                